Topic: opkg failing due to wget not finding openssl

First time user of openwrt.  My hardware is an archer c7 v2.  I used the prebuilt version from this thread:

https://forum.openwrt.org/viewtopic.php … 1&p=28 by el_goretto.  It's version r45784, slightly after rc1.

I was trying to install usb storage pkg but was getting errors which seem to be related to the kernel.  Another post said change the sources to rc1 which I have.

This then fails when I attempt to install a pkg suggesting to run opkg update to refresh the packages.  There doesn't seem to be a way of doing this via luci so I logged in using putty.  Login is successful, but running opkg update returns:

wget: can't execute 'openssl': No such file or directory

I get that a number of times for each source.

Using putty defaults to ssh and logs in successfully so I'm not sure what's wrong.

2 (edited by sark666 2015-06-13 01:37:57)

Re: opkg failing due to wget not finding openssl

I know this must be really basic but I can't see what I'm doing wrong.

I was updating the opkg.conf file via luci.  At first it was like this:

dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay
src/gz chaos_calmer_base http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/base
src/gz chaos_calmer_luci http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/luci
src/gz chaos_calmer_management http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/management
src/gz chaos_calmer_packages http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/packages
src/gz chaos_calmer_routing http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/routing
src/gz chaos_calmer_telephony http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/telephony
# src/gz chaos_calmer_targets http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/targets

I changed it to:

dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay
src/gz chaos_calmer_base https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/base
src/gz chaos_calmer_luci https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/luci
src/gz chaos_calmer_management https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/management
src/gz chaos_calmer_packages https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/packages
src/gz chaos_calmer_routing https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/routing
src/gz chaos_calmer_telephony https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/telephony
# src/gz chaos_calmer_targets https://downloads.openwrt.org/chaos_calmer/15.05-rc1/ar71xx/generic/packages/targets

which fails getting the files as I previously described when trying to do an update.

Just to make sure nothing is borked, I changed it back and opkg update works without issue.


I would just intsall chaos calmer but I read that there is a usb storage issue that was fixed slightly after rc1, and was glad when I found someone who packaged just after rc1.

Is there something else that needs to be done when changing repositories?

Didn't mean to have https rc1 sources.  Changed to http and it worked.

3 (edited by Culex 2015-09-10 05:23:02)

Re: opkg failing due to wget not finding openssl

Having this problem still on 9/9/2015 so it never got fixed Dxxx Dxxx r46809

root@OpenWrt:/media/share/downloads/openwrt/packages/base# opkg update
Downloading https://github.com/wolandmaster/luci-ap … ckages.gz.
wget: can't execute 'openssl': No such file or directory
wget: error getting response: Connection reset by peer

Maybe the wget in BusyBox does'nt support https

fix: opkg install wget ca-certificates